Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
integrations
/
connect
Connect Channel Integration
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/integrations/connect \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "name": "Klaviyo",
  "handle": "klaviyo",
  "type": "esp",
  "isEnabled": true,
  "klaviyo": {
    "apiKey": "pk_1234567890abcdef"
  }
}
'
{
  "integration": {
    "name": "Klaviyo",
    "handle": "klaviyo",
    "type": "esp",
    "isEnabled": true,
    "klaviyo": {
      "apiKey": "pk_1234567890abcdef"
    }
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

Body

application/json
name
string
handle
enum<string>
Available options:
shopify-collabs,
social-snowball,
tapcart,
klaviyo,
goaffpro,
other,
grin,
refersion,
impact,
superfiliate,
roster,
uppromote
type
enum<string>
Available options:
affiliate,
mobile-app,
esp
isEnabled
boolean
shopifyCollabs
object
socialSnowball
object
goAffPro
object
tapcart
object
klaviyo
object
grin
object
refersion
object
superfiliate
object
roster
object
uppromote
object

Response

Integration connected/updated

integration
object